/*
    <Extrae informacion de dispositivos conectados al sistema>
    Copyright (C) <2011>  <José Antonio Sánchez Reynaga>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef DEVICES_H
#define DEVICES_H

#include <QtCore>

//Librerias de solid
#include <solid/device.h>
#include <solid/devicenotifier.h>
#include <solid/deviceinterface.h>
#include <solid/block.h>
#include <solid/storageaccess.h>
#include <solid/storagevolume.h>
#include <solid/storagedrive.h>

using namespace Solid;

class Devices
{
public:
    /**
     *  Devuelve un diccionario 
     * donde la llave es la direccion del dispositivo 
     * y el contenido es un objeto Device
     */
    static QMap <QString, Device> listAvaliableDevices();
};

#endif // DEVICES_H
